puppet_dev
==========

The Puppet_Dev module will setup a Puppet Development Environment in a clean VM.  You can use this environment to do Open Source development.

After setting up the development environment, you'll be able to do:

* Module Development
* Puppet Core Development

Installation
------------

If you don't have puppet installed already:

    rpm -Uvh http://yum.puppetlabs.com/el/6/products/i386/puppetlabs-release-6-7.noarch.rpm
    yum install -y puppet

After puppet is installed:

    puppet module install AlexCline/puppet_dev
    puppet apply -e 'include puppet_dev'
    cd /usr/local/src/puppet
    rake spec

Support
-------

Please file tickets and issues using [GitHub Issues](https://github.com/AlexCline/puppet_dev/issues)


License
-------
   Copyright 2013 Alex Cline <alex.cline@gmail.com>

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
